Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pentaho.di.core.gui
Enum GUIOption.DisplayType

    java.lang.Object
      java.lang.Enum<GUIOption.DisplayType>
          org.pentaho.di.core.gui.GUIOption.DisplayType

All Implemented Interfaces:
  Serializable, Comparable<GUIOption.DisplayType>

Enclosing interface:
  GUIOption<E>

    public static enum GUIOption.DisplayType

extends Enum<GUIOption.DisplayType>

How the GUI should display the preference represented by this class.

Author:
  Alex Silva

Enum Constant Summary
`ACTION_BUTTON`
`CHECK_BOX`
`TEXT_FIELD`

Method Summary
`static GUIOption.DisplayType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GUIOption.DisplayType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CHECK_BOX

    public static final GUIOption.DisplayType CHECK_BOX

### TEXT_FIELD

    public static final GUIOption.DisplayType TEXT_FIELD

### ACTION_BUTTON

    public static final GUIOption.DisplayType ACTION_BUTTON

Method Detail

### values

    public static final GUIOption.DisplayType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(GUIOption.DisplayType c : GUIOption.DisplayType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static GUIOption.DisplayType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD